cgSetFloatArrayStateAssignment(3)

NAME
cgSetFloatArrayStateAssignment - set a float-valued state assignment array

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgSetFloatArrayStateAssignment( CGstateassignment sa,
                                         const float * vals );

PARAMETERS

sa  A handle to a state assignment array of type CG_FLOAT, CG_FIXED, CG_HALF.

vals
    The values which will be used to set sa.

RETURN VALUES
Returns CG_TRUE if it succeeds in setting the state assignment.

Returns CG_FALSE otherwise.

DESCRIPTION
cgSetFloatArrayStateAssignment sets the value of a state assignment of float array type.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a float type.

HISTORY
cgSetFloatArrayStateAssignment was introduced in Cg 1.5.

SEE ALSO
the cgGetFloatStateAssignmentValues manpage, the cgSetFloatStateAssignment manpage, the cgSetBoolArrayStateAssignment manpage, the cgSetBoolStateAssignment manpage, the cgSetIntArrayStateAssignment manpage, the cgSetIntStateAssignment manpage, the cgSetProgramStateAssignment manpage, the cgSetSamplerStateAssignment manpage, the cgSetStringStateAssignment manpage, the cgSetTextureStateAssignment manpage